% SKRIPTA ZA IZRA?UN FAKTORJEV EFEKTIVNOSTI OBJETJA BETONSKEGA JEDRA
% 
% Skripta za delovanje potrebuje strukturo "baza.mat" v kateri so za vsak preizkuanec     zbrani podatki:
% Reference...ime preiskave,
% Images...ime datoteke s sliko prereza,
% cper...krovni sloj pravokotno na smer obremenjevanja [mm],
% cpar...krovni sloj paralelno na smer obremenjevanja [mm],
% b...irina prereza [mm],
% h...globina prereza [mm],
% fiv...premer vzdolne armature [mm],
% nper...tevilo vzdolnih armaturnih palic med vogalnima palicama ob stranici pravokotno na smer obtebe,
% fiper...premer vzdolnih armaturnih palic med vogalnima palicama ob stranici pravokotno na smer obtebe [mm],
% npar...tevilo vzdolnih armaturnih palic med vogalnima palicama ob stranici paralelno na smer obtebe,
% fipar...premer vzdolnih armaturnih palic med vogalnima palicama ob stranici paralelno na smer obtebe [mm],
% fisw...premer pre?ne armature [mm].
% 
% Izra?una:
% SWi2...vsoto(Suma) kvadratov(2) razdalji med s stremeni podprtimi zunanjimi vzdolnimi armaturnimi palicami (Wi),
% keh...faktor efektivnosti objetja v ravnini stremen,
% kev...faktor efektivnosti objetja v vzdolni smeri elementa.
% Izra?unane vrednosti priloi v strukturo baze preizkuancev.
% 
% V mapi kjer je shranjena struktura mora biti priloena mapa s podmapami 
% preiskav v katerih so slike prerezov posameznega preizkuanca.
% Med tekom programa ta odpre sliko prereza in uporabnika vpraa, ali so vse 
% palice v prerezu podprte s stremensko armaturo. Ker je ena?ba za izra?un SWi2
% prirejena le za primer, ko so vse palice podprte, mora v nasprotnem primeru
% uporabnik ro?no izra?unati vsoto kvadratov in jo vnesti v program.

% Za i-ti preizkuanec
for i=10

        
    % Odpre datoteko s sliko prereza
    winopen([ pwd '\RCColumns_SeriesDB_Kovac\Publications\' baza(i).Reference '\' baza(i).Images]);
    
    % V ukaznem oknu prikae podatke o prerezu
    disp('##########################################')
    disp(['Podatki o preizkuancu:' baza(i).Test_ID '-->i=' num2str(i) ])
    disp('')
    disp(['cper=' num2str(baza(i).cper) 'mm'])
    disp(['cpar=' num2str(baza(i).cpar) 'mm'])
    disp(['b=' num2str(baza(i).b) 'mm'])
    disp(['h=' num2str(baza(i).h) 'mm'])
    disp(['fiv=' num2str(baza(i).fiv) 'mm'])
    disp(['nper=' num2str(baza(i).nper)])
    disp(['fiper=' num2str(baza(i).fiper) 'mm'])
    disp(['npar=' num2str(baza(i).npar)])
    disp(['fipar=' num2str(baza(i).fipar) 'mm'])
    disp(['fisw=' num2str(baza(i).fisw) 'mm'])
    
    % Shrani podatke v lokalne spremenljivke
    s=baza(i).s;
    cper=baza(i).cper;
    b=baza(i).b;
    cpar=baza(i).cpar;
    h=baza(i).h;
    rol=baza(i).rol;
    fiv=baza(i).fiv;
    nper=baza(i).nper;
    fiper=baza(i).fiper;
    npar=baza(i).npar;
    fipar=baza(i).fipar;
    fisw=baza(i).fisw;
    
    % Vpraa uporabnika ali so vse palice podprte
    logic=questdlg('Ali je prerez regularen in so vse palice podprte?','Raun Sum(wi^2):');
    
    if isequal(logic,'Yes')
        % ?e uporabnik potrdi, izra?una SWi2 po ena?bi:
        SWi2=2*(b-2*cpar-2*fisw-2*fiv-nper*fiper)^2/(nper+1)+2*(h-2*cper-2*fisw-2*fiv-npar*fipar)^2/(npar+1);
    elseif isequal(logic,'No')
         % ?e niso podprte, prosi za vnost vrednosti SWi2
        prompt='Vpii Sum(wi^2):';
        SWi2=input(prompt);
    else
        return; 
    end
    
    % Dimenzije objetega jedra
    bo=b-2*cper;
    ho=h-2*cpar;
    
    % Izra?una in v ukaznem oknu prikae SWi2, kev, in keh
    SWi2
    kev=(1-s/(2*bo))*(1-s/(2*ho))*1/(1-rol)
    keh=(1-SWi2/(6*bo*ho))*1/(1-rol)
    
    % Vpraa uporabnika ali je zadovoljen z izra?unom in ?e eli rezultate
    % zapisati k drugim podatkom v bazo
    logic=questdlg('Ali zapiem keficienta v bazo?','Zapis v bazo:');
     
     if isequal(logic,'Yes')
         baza(i).SWi2=SWi2;
         baza(i).kev=kev;
         baza(i).keh=keh;
     elseif isequal(logic,'No')
         baza(i).SWi2='NON';
         baza(i).kev='NON';
         baza(i).keh='NON';
     else
         return; 
     end
    close all
end
