% FUNKCIJA "CrossSection"
% 
% Za preizkuanec "i" iz podatkov, ki jih prebere iz strukture "baza",
% sestavi datoteko "prerez.tcl" v kateri definira goemetrijo prereza
% preizkuanca za analizo v OpenSees s skripto "MC4.tcl".

function fileName=CrossSection(i,baza)

% VHODNI PODATKI IZ BAZE IN IZRAUN PLOIN

%Data in cm
h=baza(i).h/10;             %- height of cross section in cm
b=baza(i).b/10;             %- width of cros section cm
cpar=baza(i).cpar/10;       %- depth of the concrete cover parallel to loading force in cm
cper=baza(i).cper/10;       %- depth of the concrete cover perpendicular to loading force in cm
fiv=baza(i).fiv/10;         %- diameter of corner longitudinal reinforcement in cm
npar=baza(i).npar;          %- number of reinforcing bars paralel to force
fipar=baza(i).fipar/10;     %- diameter of reinforcing bars paralel to force  in cm
nper=baza(i).nper;          %- number of reinforcing bars perpendicular to force
fiper=baza(i).fiper/10;     %- diameter of reinforcing bars perpendicular to force  in cm

Asv=pi*fiv^2/4;             %- area of corner reinforcing bars in cm^2
Aspar=pi*fipar^2/4;         %- area of reinforcing bars paralel to force in cm^2
Asper=pi*fiper^2/4;         %- area of reinforcing bars perpendicular to force in cm^2
%%%%%%%%%%%%%%%%%%%%%

% ZAPIS VHODNE DATOTEKE "prerez.tcl" ZA OS

%Naredi file prerez.tcl
fileName='prerez.tcl';
%Odpre file prerez.tcl
fid=fopen(fileName,'wt');
%napie prvi element v vektorju pomikov "0"
                                            %line='set pomiki(0) 0\n';
fprintf(fid,'section Fiber 1 {\n');
fprintf(fid,'\n');
%fprintf(fid,'    # Create the concrete core fibers\n');
%objeti beton
line1=['    patch rect 1 ' num2str(floor((h-cper))) ' 1 ' num2str(cper-h/2) ' '  num2str(cpar-b/2) ' '  num2str(h/2-cper) ' '  num2str(b/2-cpar) '\n'];
fprintf(fid,line1);
%krovni sloj
%fprintf(fid,'    # Create the concrete cover fibers (top, bottom, left, right)\n');
line1=['    patch rect 2 ' num2str(floor(h)) ' 1 ' num2str(-h/2) ' ' num2str(b/2-cpar) ' ' num2str(h/2) ' ' num2str(b/2) '\n'];
fprintf(fid,line1);
line1=['    patch rect 2 ' num2str(floor(h)) ' 1 ' num2str(-h/2) ' ' num2str(-b/2) ' ' num2str(h/2) ' ' num2str(cpar-b/2) '\n'];
fprintf(fid,line1);
line1=['    patch rect 2  ' num2str(floor(cper*2)) ' 1 ' num2str(-h/2) ' ' num2str(cpar-b/2) ' ' num2str(cper-h/2) ' '  num2str(b/2-cpar) '\n'];
fprintf(fid,line1);
line1=['    patch rect 2  ' num2str(floor(cper*2)) ' 1 ' num2str(h/2-cper) ' ' num2str(cpar-b/2) ' ' num2str(h/2) ' '  num2str(b/2-cpar) ' ' '\n'];
fprintf(fid,line1);
%vogalna armatura
line1=['    layer straight 3 2 ' num2str(Asv) ' ' num2str(h/2-cper-fiv/2) ' ' num2str(b/2-cpar-fiv/2) ' ' num2str(h/2-cper-fiv/2) ' ' num2str(-b/2+cpar+fiv/2) '\n'];
fprintf(fid,line1);
line1=['    layer straight 3 2 ' num2str(Asv) ' ' num2str(-h/2+cper+fiv/2) ' ' num2str(b/2-cpar-fiv/2) ' ' num2str(-h/2+cper+fiv/2) ' ' num2str(-b/2+cpar+fiv/2) '\n'];
fprintf(fid,line1);
%armatura vsporedno z obtebo
line1=['    layer straight 3 ' num2str(npar) ' ' num2str(Aspar) ' ' num2str(h/2-cper-(h-2*cper)/(npar+1)) ' ' num2str(b/2-cpar-fipar/2) ' ' num2str(-h/2+cper+(h-2*cper)/(npar+1)) ' ' num2str(b/2-cpar-fipar/2) '\n'];
fprintf(fid,line1);
line1=['    layer straight 3 ' num2str(npar) ' ' num2str(Aspar) ' ' num2str(h/2-cper-(h-2*cper)/(npar+1)) ' ' num2str(-b/2+cpar+fipar/2) ' ' num2str(-h/2+cper+(h-2*cper)/(npar+1)) ' ' num2str(-b/2+cpar+fipar/2) '\n'];
fprintf(fid,line1);
line1=['    layer straight 3 ' num2str(nper) ' ' num2str(Asper) ' ' num2str(h/2-cper-fiper/2) ' ' num2str(b/2-cpar-(b-2*cpar)/(nper+1)) ' ' num2str(h/2-cper-fiper/2) ' ' num2str(-b/2+cpar+(b-2*cpar)/(nper+1)) '\n'];
fprintf(fid,line1);
line1=['    layer straight 3 ' num2str(nper) ' ' num2str(Asper) ' ' num2str(-h/2+cper+fiper/2) ' ' num2str(b/2-cpar-(b-2*cpar)/(nper+1)) ' ' num2str(-h/2+cper+fiper/2) ' ' num2str(-b/2+cpar+(b-2*cpar)/(nper+1)) '\n'];
fprintf(fid,line1);
fprintf(fid,'}\n');
fclose(fid);