% Skripta za izraun uklonske doline palice vzdolne armature

function lb=Uklonska_dolzina(i,baza)

% Zberemo potrebne podatke iz baze

dbw=baza(i).fisw; %mm
Nw=baza(i).Nv;
b=baza(i).b; %mm
nper=baza(i).nper;
s=baza(i).s; %mm
cpar=baza(i).cpar;
h=baza(i).h; %mm
fc=baza(i).fc; %MPa
dbs=baza(i).fiv; %mm

Ew1=18; %GPa
Ew=200; %GPa
Esr=20; %GPa

% Izraun

Aw=pi*dbw^2/4;
Iw=pi*dbw^4/64;
Nsz=nper+2;

ro_w=Nw*Aw/(b*s);               % dele stremen 
%---------en:(4.8)--------%
Ec=8200*fc^(3/8);               % elastini modul neobjetega betona [MPa]
%---------en:(3.16)--------%
Nst=(Nsz-1)/(Nw-1)+1;           % tevilo vzdolnih palic med sosednjima horizontalnima stremenoma
lw=(b-2*cpar)/(Nw-1);           % razdalja med horizontalnimi stremeni znotraj prereza

beta_w1=Ew1*Aw*Nw/(s*h*Nsz);    % osna togost stremen
%---------en:(4.6)--------%
beta_w2=384*Ew*Iw/(s*Nst*lw^3); % upogibna togost stremen
%---------en:(4.7)--------%
beta_c=0.15*ro_w*Ec/Nst*(Ew1/Ew)^0.2*0.001; % prispevek betona k togosti
%---------en:(4.8)--------%

beta=1/(1/beta_w1+1/beta_w2)+beta_c; % togost v ravnini stremen
%---------en:(4.5)--------%
Is=pi*dbs^4/64;

lb=4.4*(Esr*Is/beta)^(1/4);     % uklonska dolina armaturne palice v mm
%---------en:(4.4)--------%
